<?php 
/***
    *** Register Customizer Sidebar Layout Section Code start Here
***/
class wp_trucker_Sidebar_Layout_Section_Customizer {

	public static function wp_trucker_Register_Theme_Customizer_For_Sidebar_Layout_Section( $wp_customize ) {

		// Add Blog Sidebar Layout Section for Theme...
		$wp_customize->add_section( 'wp_trucker_Section_For_Home_Page_Banner_Section' , array(
			'title'    => __(' Sidebar Layout ','wp-trucker'),
			'panel'    => 'Wheelify_Theme_Custom_Add_Panel_Function',
		) );

		//  ============================================================
	    //      Blog Sidebar Layout Section         
	    //  ============================================================
		$wp_customize->add_setting('wp_trucker_blog_page_sidebar_layout',
	        array(
	        	'sanitize_callback' => 'wp_trucker_Sidebar_Layout_Sanitize_Text_Function',
	            'default'           => 'rightsidebar',
	        )
	    );
	    $wp_customize->add_control('wp_trucker_blog_page_sidebar_layout',
	        array(
	            'type'        => 'select',
	            'label'       => esc_html__('Blog Page Sidebar Layout', 'wp-trucker'),
	            'description' => esc_html__('This will be apply for Blog Page Sidebar Layout', 'wp-trucker'),
	            'section'     => 'wp_trucker_Section_For_Home_Page_Banner_Section',
	            'settings' => 'wp_trucker_blog_page_sidebar_layout',
	            'choices'     => array(
	                'rightsidebar' => esc_html__('Right Sidebar', 'wp-trucker'),
	                'leftsidebar'  => esc_html__('Left Sidebar', 'wp-trucker'),
	                'nosidebar'    => esc_html__('No Sidebar', 'wp-trucker'),
	            ),
	        )
	    );

	    //  ============================================================
	    //      Single Post Sidebar Layout Section         
	    //  ============================================================
		$wp_customize->add_setting('wp_trucker_single_post_page_sidebar_layout',
	        array(
	        	'sanitize_callback' => 'wp_trucker_Sidebar_Layout_Sanitize_Text_Function',
	            'default'           => 'singel_right_sidebar',
	        )
	    );
	    $wp_customize->add_control('wp_trucker_single_post_page_sidebar_layout',
	        array(
	            'type'        => 'select',
	            'label'       => esc_html__(' Single Post Sidebar Layout', 'wp-trucker'),
	            'description' => esc_html__('This will be apply for Single Post Sidebar Layout', 'wp-trucker'),
	            'section'     => 'wp_trucker_Section_For_Home_Page_Banner_Section',
	            'settings' => 'wp_trucker_single_post_page_sidebar_layout',
	            'choices'     => array(
	                'singel_right_sidebar' => esc_html__('Right Sidebar', 'wp-trucker'),
	                'singel_left_sidebar'  => esc_html__('Left Sidebar', 'wp-trucker'),
	                'singel_no_sidebar'    => esc_html__('No Sidebar', 'wp-trucker'),
	            ),
	        )
	    );

	    // Sanitize Funcxtion
		function wp_trucker_Sidebar_Layout_Sanitize_Text_Function( $text ) {
		    return sanitize_text_field( $text );
		}

	}
}

add_action( 'customize_register', array('wp_trucker_Sidebar_Layout_Section_Customizer', 'wp_trucker_Register_Theme_Customizer_For_Sidebar_Layout_Section') );
/***
    *** Register Customizer Sidebar Layout Section Code END Here
***/
?>

